# gio.FileMonitor

File Monitor

## Synopsis

gio.FileMonitor
gobject.GObject
cancel
emit_event
child
other_file
event_type
is_cancelled
set_rate_limit
limit_msecs

## Ancestry

    +-- gobject.GObject
      +-- gio.FileMonitor

## gio.FileMonitor Properties

> "cancelled" | Read | Whether the monitor has been cancelled. Default value: `False`.
> "rate-limit" | Read/Write | The limit of the monitor to watch for changes, in milliseconds. Allowed values: >= 0. Default value: 800.

## gio.FileMonitor Signal Prototypes

gobject.GObject Signal Prototypes

"changed"
  callback
  filemonitor
  file
  other_file
  event_type
  user_param1
  ...

## Description

The `gio.FileMonitor` monitors a file or directory for changes.

To obtain a `gio.FileMonitor` for a file or directory, use `gio.FileMonitor.monitor`(), `gio.FileMonitor.monitor_file`(), or `gio.FileMonitor.monitor_directory`().

To get informed about changes to the file or directory you are monitoring, connect to the "changed" signal.

## Methods

Unfinished section, you may want to see the relevant C API docs for methods descriptions.